## List StatementDefinitions

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/statementdefinitions \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/statementdefinitions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/statementdefinitions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**: Success
- **4XX**: Client error
- **5XX**: Server error

### Example Response

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "name": "<string>",
      "includePricePerUnit": true,
      "dimensions": [
        {
          "name": "<string>",
          "filter": [
            "<string>"
          ],
          "meterId": "<string>",
          "attributes": [
            "<string>"
          ]
        }
      ],
      "measures": [
        {
          "meterId": "<string>",
          "name": "<string>",
          "aggregations": []
        }
      ],
      "generateSlimStatements": true,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

### Error Response

```json
{
  "message": "<string>"
}
```

### Path Parameters

- **orgId**: string, required
- The unique identifier (UUID) of your Organization.

### Query Parameters

- **pageSize**: integer<int32>, specifies the maximum number of StatementDefinitions to retrieve per page. Required range: `1 <= x <= 100`
- **nextToken**: string, the `nextToken` for multi-page retrievals.

### Response Type

- **200**: application/json
- Returns the list of requested StatementDefinitions.
